Description
Hi,

I'm trying unattended installation / provisioning the ubuntu-14.x on bare-metal server, before posting the issue(
http://projects.theforeman.org/issues/16226#change-71292) here we were using an ISO Image as source and faced few issue.

Based on the issue: http://projects.theforeman.org/issues/16226#change-71292 's update, We have setup the ubuntu local mirror
from: http://archive.ubuntu.com/ubuntu/, Now i am facing the issue "Unable to install the selected kernel" (Ubuntu 14.x)

Kindly check the attached image and assist me to rectify the issue and complete the unattended installation.

Regards,
Ranjithkumar.T

History

#1 - 09/12/2016 02:57 AM - Dominic Cleal

I'd suggest ensuring the kernel/initrd on your TFTP server (e.g. /var/lib/tftpboot/boot) exactly match what's on the mirror, and that they're not from the
ISO image you previously tried using.

#2 - 09/12/2016 04:29 AM - Ranjithkumar T

Thank you for the suggestion Dominic Cleal, Based on 'Michael Moll' update in previous issue I've done the local mirror setup from:
http://archive.ubuntu.com/ubuntu/

i just use the "http://archive.ubuntu.com/ubuntu/" as Installation Media path instead of my local mirror, still the same error(image already attached:
pkg-error.jpg) occuring on the unattended installation. Is there a solution or how to overcome / skip the issue by modifying the OS templates in
foreman ?

#3 - 09/28/2016 02:26 AM - Ranjithkumar T
Ranijithkumar T wrote:

Thank you for the suggestion Dominic Cleal, Based on 'Michael Moll' update in previous issue I've done the local mirror setup from:
http://archive.ubuntu.com/ubuntu/

i just use the "http://archive.ubuntu.com/ubuntu/" as Installation Media path instead of my local mirror, still the same error(image already
attached: pkg-error.jpg) occuring on the unattended installation. Is there a solution or how to overcome / skip the issue by modifying the OS
templates in foreman ?

Any updates ?

#4 - 10/08/2016 05:35 AM - Ranjithkumar T
Hi,
Is there any update about this issue ?

#5 - 12/02/2016 04:27 PM - William Carlson

| saw this same issue and a google search got me here. In case others see it | resolved it by changing the partition layout to "Preseed default" from
"Preseed custom LVM".
#6 - 12/03/2016 08:04 AM - Ranjithkumar T
- File 20161203 _174944.jpg added

Hi William Carlson,

It worked for me, Thank you so much. But i got the error in salt pkg installation, since i1 have place the salt
minion pkg and its dependencies from: http://debian.saltstack.com/debian

on the path( my/local/repo/ubuntu/pool/universe/ ), did i missing anything or kindly suggest me to short out
this issue.

Regards,
Ranjithkumar.T

#7 - 12/03/2016 08:07 AM - Ranjithkumar T
- File 20161203 _174944.jpg added
Ranjithkumar T wrote:
Hi William Carlson,
It worked for me, Thank you so much. But i got the error in salt pkg installation, since i have place the salt minion pkg and its dependencies from:

http://debian.saltstack.com/debian/ on the path( my/local/repo/ubuntu/pool/universe/ ), did i missing anything or kindly suggest me to short out
this issue.

Regards,
Ranjithkumar.T

#8 - 02/01/2017 04:02 PM - Anonymous

- Status changed from New to Resolved

Setting to resolved as the salt mirror thing is unrelated.
pkg-error.jpg 126 KB 09/10/2016 Ranjithkumar T
20161203_174944.jpg 1.29 MB 12/03/2016 Ranjithkumar T
20161203_174944.jpg 1.29 MB 12/03/2016 Ranjithkumar T
